stages:
    - build-libs

variables:
    GIT_SUBMODULE_STRATEGY: 'recursive'
    DOCKER_DRIVER: overlay2
    CLICKABLE_VERSION: "7.7.0"

.armhf: &armhf
    variables:
        ARCH: "armhf"
        ARCH_TRIPLET: "arm-linux-gnueabihf"

.arm64: &arm64
    variables:
        ARCH: "arm64"
        ARCH_TRIPLET: "aarch64-linux-gnu"

.amd64: &amd64
    variables:
        ARCH: "amd64"
        ARCH_TRIPLET: "x86_64-linux-gnu"

.build-libs:
    image: "clickable/ci-20.04-$ARCH:$CLICKABLE_VERSION"
    stage: build-libs
    tags:
        - build1-amd64
    rules:
        - when: manual
    script: 'clickable build --clean --libs libreoffice --arch $ARCH'
    artifacts:
        paths:
            - "build/$ARCH_TRIPLET/libreoffice/instdir/"
            - "build/$ARCH_TRIPLET/libreoffice/include/LibreOfficeKit/"
        expire_in: 1 week

build-libs-armhf:
    <<: *armhf
    extends: .build-libs

build-libs-arm64:
    <<: *arm64
    extends: .build-libs

build-libs-amd64:
    <<: *amd64
    extends: .build-libs
